Name:       mediawiki-semantic
Version:    1.4.2
Release:    2%{?dist}
Summary:    An extension of MediaWiki that improves content organization
Group:      Applications/Internet
License:    GPLv2
URL:        http://semantic-mediawiki.org
Source0:    http://downloads.sourceforge.net/semediawiki/semediawiki-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
Requires:   mediawiki, mediawiki-nomath
%define     UpstreamName SemanticMediaWiki


%description
Semantic MediaWiki (SMW) is a free extension of MediaWiki – the wiki-system
powering Wikipedia – that helps to search, organise, tag, browse, evaluate, and
share the wiki's content.

While traditional wikis contain only texts which computers can neither
understand nor evaluate, SMW adds semantic annotations that bring the power of
the Semantic Web to the wiki.


%prep
%setup -q -n %{UpstreamName}


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/%{UpstreamName}
cat <<EOF>README.fedora
To complete installation of %{name}: add the following two lines to
LocalSettings.php:

  include_once("\$IP/extensions/SemanticMediaWiki/includes/SMW_Settings.php");
  enableSemantics('example.org');

for each MediaWiki instance you wish to install %{name} on.  Note that
example.org should be replaced by your server's name (or IP address).

Additional database changes are detailed in the online installation
instructions available at http://semantic-mediawiki.org/wiki/Help:Installation.
EOF
cp -pa includes languages maintenance skins specials $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/%{UpstreamName}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_datadir}/mediawiki/extensions/%{UpstreamName}
%doc COPYING INSTALL README README.fedora RELEASE-NOTES


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 11 2009 James Laska <jlaska@redhat.com> 1.4.2-1
- Initial packaging of 1.4.2
